Link an attachment to a stream

Base URL
https://{kibana_url}
Auth

Links an attachment to a stream. Noop if the attachment is already linked to the stream.

Required privileges

Privileges manage_stream

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

streamName string · max length: 200 required

The name of the stream

attachmentType enum required

The type of the attachment

Values: dashboard rule slo
attachmentId string · max length: 256 required

The ID of the attachment

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:

Response

200

Successfully linked attachment

application/json
Base URL
https://{kibana_url}